swagger: '2.0'
info:
  version: '1.0'
  title: Task_management
  description: aplikasi untuk task management
  contact: {}
host: localhost
basePath: /API
securityDefinitions: {}
schemes:
- http
consumes:
- application/json
produces:
- application/json
paths:
  /Task_management2:
    post:
      summary: Post Tasks
      tags:
      - tasks
      operationId: PostTasks
      deprecated: false
      produces:
      - application/json
      parameters:
      - name: Body
        in: body
        required: true
        description: ''
        schema:
          $ref: '#/definitions/PostTasksRequest'
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management2/index/id/1:
    delete:
      summary: Delete Tasks
      tags:
      - tasks
      operationId: DeleteTasks
      deprecated: false
      produces:
      - application/json
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
    get:
      summary: Get Tasks
      tags:
      - tasks
      operationId: GetTasks
      deprecated: false
      produces:
      - application/json
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management2/update/id/5:
    post:
      summary: Update Tasks
      tags:
      - tasks
      operationId: UpdateTasks
      deprecated: false
      produces:
      - application/json
      parameters:
      - name: Body
        in: body
        required: true
        description: ''
        schema:
          $ref: '#/definitions/UpdateTasksRequest'
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management2/list:
    get:
      summary: List Tasks
      tags:
      - tasks
      operationId: ListTasks
      deprecated: false
      produces:
      - application/json
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management/index/id/1:
    get:
      summary: Get Task_categories
      tags:
      - task_categories
      operationId: GetTask_categories
      deprecated: false
      produces:
      - application/json
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management/index/id/6:
    delete:
      summary: Delete Task_categories
      tags:
      - task_categories
      operationId: DeleteTask_categories
      deprecated: false
      produces:
      - application/json
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management/index:
    post:
      summary: Post Task_categories
      tags:
      - task_categories
      operationId: PostTask_categories
      deprecated: false
      produces:
      - application/json
      parameters:
      - name: Body
        in: body
        required: true
        description: ''
        schema:
          $ref: '#/definitions/PostTask_categoriesRequest'
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management/update/id/7:
    post:
      summary: Update Task_categories
      tags:
      - task_categories
      operationId: UpdateTask_categories
      deprecated: false
      produces:
      - application/json
      parameters:
      - name: Body
        in: body
        required: true
        description: ''
        schema:
          $ref: '#/definitions/UpdateTask_categoriesRequest'
      responses:
        '200':
          description: ''
          headers: {}
  /Task_management/list:
    get:
      summary: List Task_categories
      tags:
      - task_categories
      operationId: ListTask_categories
      deprecated: false
      produces:
      - application/json
      parameters: []
      responses:
        '200':
          description: ''
          headers: {}
definitions:
  PostTasksRequest:
    title: PostTasksRequest
    example:
      category_id: '9'
      title: komputer
      description: laptop bagus
      start_date: 2022-o2-19
      finish_date: 2022-03-10
      status: On Progress
    type: object
    properties:
      category_id:
        type: string
      title:
        type: string
      description:
        type: string
      start_date:
        type: string
      finish_date:
        type: string
      status:
        type: string
    required:
    - category_id
    - title
    - description
    - start_date
    - finish_date
    - status
  UpdateTasksRequest:
    title: UpdateTasksRequest
    example:
      start_date: 2023-10-11
    type: object
    properties:
      start_date:
        type: string
    required:
    - start_date
  PostTask_categoriesRequest:
    title: PostTask_categoriesRequest
    example:
      name: yanti
    type: object
    properties:
      name:
        type: string
    required:
    - name
  UpdateTask_categoriesRequest:
    title: UpdateTask_categoriesRequest
    example:
      name: agra
    type: object
    properties:
      name:
        type: string
    required:
    - name
tags:
- name: tasks
- name: task_categories
